# tbb::mutex::scoped_lock Class Reference

The scoped locking pattern. More...

`#include <mutex.h>`

List of all members.

## Public Member Functions
| scoped_lock ()
| Construct lock that has not acquired a mutex.
| scoped_lock (mutex &mutex)
| Acquire lock on given mutex.
| ~scoped_lock ()
| Release lock (if lock is held).
void | acquire (mutex &mutex)
| Acquire lock on given mutex.
bool | try_acquire (mutex &mutex)
| Try acquire lock on given mutex.
void | release ()
| Release lock.
## Friends
class | mutex

## Detailed Description

The scoped locking pattern.

It helps to avoid the common problem of forgetting to release lock. It also nicely provides the "node" for queuing locks.

The documentation for this class was generated from the following file:

- mutex.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.